Mantis

Mise à jour d'un Mantis avec Plugins ?

Posted by gom 
gom
Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 11:31AM
Bonjour à tous,

Je souhaite faire passer un de mes Mantis de la version 1.1.2 à la version 1.1.3, mais je ne trouve pas une procédure décrivant comment faire basculer les Plugins que j'ai installé :

- MyReport (0.0.4a1) ;
- MyView (0.0.2) ;
- Plugin Manager (0.3.1).


Gôm


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c



Edited 1 time(s). Last edit at 10/15/2008 11:39AM by gom.
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 11:59AM
Il faut aller dans la page de configuration du Plugin Manager, tout en bas il y a un lien Upgrade Mantis. Il faut cliquer dessus, ça va désactiver tous les plugins mais laisser un minimum de chose, ensuite il faut faire l'upgrade de Mantis, puis réinstaller tous les plugins un par un. Normalement, il doit détecter que le plugin est déjà partiellement présent et il doit faire le nécessaire.

Pour info, après avoir cliqué sur Upgrade Mantis, si vous allez sur la page de plugin vous allez réinstaller le Plugin Manager donc il ne faut plus y aller...

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 12:38PM
Après avoir cliqué sur "Upgrade Mantis" :




Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 12:40PM
Quote
deboutv
Pour info, après avoir cliqué sur Upgrade Mantis, si vous allez sur la page de plugin vous allez réinstaller le Plugin Manager donc il ne faut plus y aller...

Il ne faut plus aller sur "plugins_page.php" ou sur "plugins_page.php?plugin=pluginmanager" ?


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 12:41PM
Je regarderai ce soir.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 12:44PM
Quote
gom
Quote
deboutv
Pour info, après avoir cliqué sur Upgrade Mantis, si vous allez sur la page de plugin vous allez réinstaller le Plugin Manager donc il ne faut plus y aller...

Il ne faut plus aller sur "plugins_page.php" ou sur "plugins_page.php?plugin=pluginmanager" ?

Les deux.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 01:19PM
Quote
deboutv
Je regarderai ce soir.

Parfait merci.


Quote
deboutv
Quote
gom
Quote
deboutv
Pour info, après avoir cliqué sur Upgrade Mantis, si vous allez sur la page de plugin vous allez réinstaller le Plugin Manager donc il ne faut plus y aller...

Il ne faut plus aller sur "plugins_page.php" ou sur "plugins_page.php?plugin=pluginmanager" ?

Les deux.

C'est noté.


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
Re: Mise à jour d'un Mantis avec Plugins ?
October 15, 2008 07:04PM
Il faudrait mettre à jour les plugins, PM et MyView.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 10:31AM
C'est fait Plugin Manager = 0.4.0 et MyView = 0.0.3 et j'ai toujours le même message d'erreur.



De plus, le lien "Accueil", qui apparaît une fois que l'on a cliqué sur "Mettre à jour Mantis" pointe vers : [localhost], donc KO (il manque le ".php").

Pointer vers : [localhost] suffirait. winking smiley


Gôm


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c



Edited 1 time(s). Last edit at 10/17/2008 10:33AM by gom.
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 11:09AM
Quote
gom
C'est fait Plugin Manager = 0.4.0 et MyView = 0.0.3 et j'ai toujours le même message d'erreur.

Il doit y avoir un truc pas clean dans la base de données alors dans la table mantis_plugins_pm_list_table. Que contient-elle ?

Quote

De plus, le lien "Accueil", qui apparaît une fois que l'on a cliqué sur "Mettre à jour Mantis" pointe vers : [localhost], donc KO (il manque le ".php").

Pointer vers : [localhost] suffirait. winking smiley

Ton serveur web est mal configuré, il devrait être capable de rajouter le .php. (Je corrigerai le problème).

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 11:33AM
Quote
deboutv
Quote
gom
C'est fait Plugin Manager = 0.4.0 et MyView = 0.0.3 et j'ai toujours le même message d'erreur.

Il doit y avoir un truc pas clean dans la base de données alors dans la table mantis_plugins_pm_list_table. Que contient-elle ?

plugin;installed
bugsin;1
graph;1
htmlmail;1
myreport;1
myview;1
notif;1
pluginmanager;1
reminder;1
weekly;1


Quote
deboutv
Quote
gom
De plus, le lien "Accueil", qui apparaît une fois que l'on a cliqué sur "Mettre à jour Mantis" pointe vers : [localhost], donc KO (il manque le ".php").

Pointer vers : [localhost] suffirait. winking smiley

Ton serveur web est mal configuré, il devrait être capable de rajouter le .php. (Je corrigerai le problème).

Mon serveur Web n'est pas mal configuré. S'il ajoutait à toute URL un ".php" dès lors qu'elle ne finit pas par un slash "/", alors j'aurais du mal à ouvrir les sites Internet du genre "[www.monsite.com]; ! winking smiley


Gôm


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c



Edited 1 time(s). Last edit at 10/17/2008 11:34AM by gom.
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 12:52PM
Quote
gom
Quote
deboutv
Quote
gom
C'est fait Plugin Manager = 0.4.0 et MyView = 0.0.3 et j'ai toujours le même message d'erreur.

Il doit y avoir un truc pas clean dans la base de données alors dans la table mantis_plugins_pm_list_table. Que contient-elle ?

plugin;installed
...
Il y a un plugin qui foire alors. Tu peux modifier légèrement le fichier plugins_mantis_upgrade_page.php, à la ligne où il y a Contact developer*, modifie la :
Language: PHP
$t_msg = &<a href="http://bugtracker.morinie.fr/mantis/view.php?id=039" target="_blank">#039</a>;Contact developer* (&<a href="http://bugtracker.morinie.fr/mantis/view.php?id=039" target="_blank">#039</a>; . $t_plg . &<a href="http://bugtracker.morinie.fr/mantis/view.php?id=039" target="_blank">#039</a>;)&<a href="http://bugtracker.morinie.fr/mantis/view.php?id=039" target="_blank">#039</a>;;

Quote

Quote
deboutv
Quote
gom
De plus, le lien "Accueil", qui apparaît une fois que l&#039;on a cliqué sur "Mettre à jour Mantis" pointe vers : [localhost], donc KO (il manque le ".php").

Pointer vers : [localhost] suffirait. winking smiley

Ton serveur web est mal configuré, il devrait être capable de rajouter le .php. (Je corrigerai le problème).

Mon serveur Web n&#039;est pas mal configuré. S&#039;il ajoutait à toute URL un ".php" dès lors qu&#039;elle ne finit pas par un slash "/", alors j&#039;aurais du mal à ouvrir les sites Internet du genre "[www.monsite.com]; ! winking smiley

Si, le serveur web est capable de rajouter ce qu&#039;il faut un .php quand c&#039;est le cas, un / quand ça doit être un /, un .html quand ça doit être un .html...
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 02:17PM
"...\www\mantis" ou "...\www\mantis\plugins\pluginmanager"

En attendant, je modifie le fichier dans ces 2 emplacements.

[EDIT] Apparemment, il suffit de modifier celui qui est directement à la racine de Mantis. [/EDIT]


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c



Edited 1 time(s). Last edit at 10/17/2008 02:29PM by gom.
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 02:28PM
Il est écrit entre parenthèses : "bugsin" ... j&#039;avoue que je ne sais plus si j&#039;ai essayé d&#039;installer ce Plugin en PROD ou pas, mais j&#039;en doute fortement puisqu&#039;il n&#039;est même pas installé sur ma version de test !


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 02:42PM
Si il n&#039;est pas installé (c&#039;est à dire que les fichiers ne sont pas présents dans le répertoire plugins/) alors il faut supprimer la ligne de la table SQL.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 02:46PM
Il faut donc que je supprime toutes les lignes correspondantes aux Plugins qui ne sont pas installés ?


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 03:00PM
Quote
gom
Il faut donc que je supprime toutes les lignes correspondantes aux Plugins qui ne sont pas installés ?

Je pense que oui, donc je l&#039;ai fait.

Sinon, j&#039;ai le message suivant :

Quote
Mantis
Fatal error: Call to undefined function: plugins_myview_cookies_save() in C:\Program Files\Wamp\www\mantis\plugins\myview\my_view_inc.php on line 36


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 03:21PM
Et ça en est où là ? Je suis perdu.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 04:26PM
Le "Mise à jour de Mantis" a bien fonctionné thumbs up, par contre j&#039;ai un message d&#039;erreur (voir post précédent) lorsque je clique sur "my_view_page.php".

Je crois que ça vient du Plugin MyView, Mantis doit essayer de s&#039;en servir, non ?


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c



Edited 1 time(s). Last edit at 10/17/2008 04:26PM by gom.
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 04:37PM
T&#039;es sûr que c&#039;est le même message ? Le plugin MyView est installé (correctement) ?

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
gom
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 05:56PM
Oups tu as raison ... j&#039;ai lu trop vite :

Quote
Mantis
Fatal error: Call to undefined function: plugins_myview_cookies_set() in C:\Program Files\Wamp\www\mantis\plugins\myview\my_view_inc.php on line 30

Le plugin était installé correctement, mais désormais j&#039;ai donc cliqué sur "Mettre à jour Mantis".


Mantis : 1.0.6 - 1.1.2 (avec Plugins)
Apache : 2.0.63
PHP : 4.4.9
MySQL : 5.0.51b
OS : Windows 2003 Server R2 SP2
Environnement : WAMP Server 2.0c
Re: Mise à jour d'un Mantis avec Plugins ?
October 17, 2008 07:18PM
Okay c&#039;est "normal". Quand on clique sur Mettre à jour Mantis, il ne faut pas considérer Mantis comme fonctionnel. Tout revient dans l&#039;ordre une fois les plugins réinstallés.

La mise à jour est un état intermédiaire entre installé et non installé. Dans le cas de MyView cet état est mal géré (c&#039;est un bug qu&#039;il faut que je corrige).

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
syl
Re: Mise à jour d'un Mantis avec Plugins ?
January 25, 2010 02:35PM
J&#039;ai un mantis 1.1.0a2 et j&#039;aimerais migrer vers la 1.1.8.
J&#039;ai comme plugin:
Import/Export 0.0.4
LongCF 0.0.3
Plugin Manager 0.1.4

Je désinstallerai bien le tout et faire l&#039;upgrade, mais longcf ne sert dans un champ qui sert a la resolution de la requête.

Sinon je n&#039;ai pas bien compris toute la procédure:
J&#039;ai l&#039;impression qu&#039;il faut que je mettre à jour le Plugin Manager et les autres plugins, puis ensuite il y a un lien Upgrade Mantis qui permet de mettre en veille les plugins.
Ne plus aller dans le repertoire plugins et faire l&#039;upgrade de mantis.
Après l&#039;upgrade réinstaller les plugins, même le pluging manager ?

Est ce bien cela la procédure ?
Re: Mise à jour d'un Mantis avec Plugins ?
January 25, 2010 02:40PM
Oui c&#039;est ça.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
syl
Re: Mise à jour d'un Mantis avec Plugins ?
March 18, 2010 11:14AM
Je veux mettre à jour le Plugin Manager 0.1.4 vers sa dernière version.
Dans l&#039;onglet plugins j&#039;ai ceci : 0.1.4 / 0.4.0 Mettre à jour.
Mais lorsque je clique sur mettre à jour il m&#039;indique fail.
Je ne me souviens plus comment mettre à jour ce plugin surtout que le nouvelle version contient un zip avec des fichiers supplémentaires donc je pense que le pkg ne doit pas suffire.
Faut t&#039;il que je télécharge le zip et que j&#039;aille sur la page plugins_page.php, ou faut &#039;il désinstaller le précédent ?

merci de votre réponse,
Sorry, only registered users may post in this forum.

Click here to login



Online Users

Guests: 11
Record Number of Users: 1 on September 01, 2021
Record Number of Guests: 196 on August 22, 2021
Top Users
Hébergeur : Morinie.Fr